### Hierarchy

- AssetCache

### Implements

- IAssetCache

## Index

### Constructors

- constructor

### Properties

- enabled

### Methods

- clear
- getBitmapData
- getFont
- getSound
- get_enabled
- hasBitmapData
- hasFont
- hasSound
- removeBitmapData
- removeFont
- removeSound
- setBitmapData
- setFont
- setSound
- set_enabled

## Constructors

### constructor

- new AssetCache(): AssetCache

- - Defined in lib/openfl/utils/AssetCache.d.ts:16

  #### Returns AssetCache

## Properties

### enabled

enabled: boolean

- Defined in lib/openfl/utils/AssetCache.d.ts:13

## Methods

### clear

- clear(prefix?: string): void

- - Defined in lib/openfl/utils/AssetCache.d.ts:20

  #### Parameters

  - ##### Optional prefix: string

  #### Returns void

### getBitmapData

- getBitmapData(id: string): BitmapData

- - Defined in lib/openfl/utils/AssetCache.d.ts:21

  #### Parameters

  - ##### id: string

  #### Returns BitmapData

### getFont

- getFont(id: string): Font

- - Defined in lib/openfl/utils/AssetCache.d.ts:22

  #### Parameters

  - ##### id: string

  #### Returns Font

### getSound

- getSound(id: string): Sound

- - Defined in lib/openfl/utils/AssetCache.d.ts:23

  #### Parameters

  - ##### id: string

  #### Returns Sound

### Protected get_enabled

- get_enabled(): boolean
- get_enabled(): boolean

- - Defined in lib/openfl/utils/AssetCache.d.ts:15

  #### Returns boolean

- - Defined in lib/openfl/utils/AssetCache.d.ts:34

  #### Returns boolean

### hasBitmapData

- hasBitmapData(id: string): boolean

- - Defined in lib/openfl/utils/AssetCache.d.ts:24

  #### Parameters

  - ##### id: string

  #### Returns boolean

### hasFont

- hasFont(id: string): boolean

- - Defined in lib/openfl/utils/AssetCache.d.ts:25

  #### Parameters

  - ##### id: string

  #### Returns boolean

### hasSound

- hasSound(id: string): boolean

- - Defined in lib/openfl/utils/AssetCache.d.ts:26

  #### Parameters

  - ##### id: string

  #### Returns boolean

### removeBitmapData

- removeBitmapData(id: string): boolean

- - Defined in lib/openfl/utils/AssetCache.d.ts:27

  #### Parameters

  - ##### id: string

  #### Returns boolean

### removeFont

- removeFont(id: string): boolean

- - Defined in lib/openfl/utils/AssetCache.d.ts:28

  #### Parameters

  - ##### id: string

  #### Returns boolean

### removeSound

- removeSound(id: string): boolean

- - Defined in lib/openfl/utils/AssetCache.d.ts:29

  #### Parameters

  - ##### id: string

  #### Returns boolean

### setBitmapData

- setBitmapData(id: string, bitmapData: BitmapData): void

- - Defined in lib/openfl/utils/AssetCache.d.ts:30

  #### Parameters

  - ##### id: string

  - ##### bitmapData: BitmapData

  #### Returns void

### setFont

- setFont(id: string, font: Font): void

- - Defined in lib/openfl/utils/AssetCache.d.ts:31

  #### Parameters

  - ##### id: string

  - ##### font: Font

  #### Returns void

### setSound

- setSound(id: string, sound: Sound): void

- - Defined in lib/openfl/utils/AssetCache.d.ts:32

  #### Parameters

  - ##### id: string

  - ##### sound: Sound

  #### Returns void

### Protected set_enabled

- set_enabled(value: boolean): boolean
- set_enabled(value: boolean): boolean

- - Defined in lib/openfl/utils/AssetCache.d.ts:16

  #### Parameters

  - ##### value: boolean

  #### Returns boolean

- - Defined in lib/openfl/utils/AssetCache.d.ts:35

  #### Parameters

  - ##### value: boolean

  #### Returns boolean

Generated using TypeDoc